Index: /trunk/contactcenter/js/cc.js
===================================================================
--- /trunk/contactcenter/js/cc.js	(revision 5236)
+++ /trunk/contactcenter/js/cc.js	(revision 5287)
@@ -74,7 +74,9 @@
 /* Connections Variables */
 var CC_conn_last_selected = 0;
-
+var not_informed_text;
 /* Grupos inicialmente selecionados */
 var CC_initial_selected_grps = new Array();
+
+
 
 /***********************************************\
@@ -2318,10 +2320,10 @@
 
 								if(data[3][pos][k] === 'none')
-									"Não informado.";
+									data[3][pos][k] = not_informed_text;
 								break;
 							case 'cc_phone' :
 
 								if(data[3][pos][k] === 'none')
-									data[3][pos][k] = "Não informado.";
+									data[3][pos][k] = not_informed_text;
 								break;
 						}
@@ -2362,5 +2364,5 @@
 								else
 								{
-									if(data[3][pos][k] != "Não informado.")
+									if(data[3][pos][k] != not_informed_text)
 									Element(id+':'+data[2][k]).innerHTML = data[5] + data[3][pos][k] + '\')">'+ data[3][pos][k]+'</span>';
 									else
@@ -2382,5 +2384,5 @@
 								Element(id+':cc_phone').innerHTML = (data[3][pos][k].length < 23) ? data[3][pos][k]:data[3][pos][k].substr(0,22)+"<br>"+data[3][pos][k].substr(22,data[3][pos][k].length);
 								else
-									Element(id+':cc_phone').innerHTML = "Não informado.";
+									Element(id+':cc_phone').innerHTML = not_informed_text;
 								break;
 
@@ -2388,5 +2390,5 @@
 								if(preferences.departmentShow && ccTree.catalog_perms == 1){
 									if(data[3][pos][k] == " " || data[3][pos][k] == "" || data[3][pos][k] == "undefined"){
-										Element(id+':'+data[2][k]).innerHTML = "Não informado.";
+										Element(id+':'+data[2][k]).innerHTML = not_informed_text;
 									}
 									else if (data[3][pos][k].length > 15)
@@ -2495,9 +2497,9 @@
 						{
 							case 'cc_mail':
-								Element(id+':'+data[2][k]).innerHTML = data[13] + "Não informado." + '\')">'+ "Não infomardo." +'</span>';
+								Element(id+':'+data[2][k]).innerHTML = data[13] + not_informed_text + '\')">'+ not_informed_text +'</span>';
 								break;
 
 							case 'cc_phone':
-								Element(id+':cc_phone').innerHTML = "Não informado.";
+								Element(id+':cc_phone').innerHTML = not_informed_text;
 								break;
 							case 'cc_empNumber':
@@ -2506,5 +2508,5 @@
 									if(cc_empNumberTD.tagName != "DIV")
 										//cc_empNumberTD.parentNode.removeChild(cc_empNumberTD);
-										Element(id+':cc_empNumber').innerHTML = "Não informado.";
+										Element(id+':cc_empNumber').innerHTML = not_informed_text;
 									else
 										cc_empNumberTD.removeChild(Element(id+':cc_empNumber'));
@@ -2516,5 +2518,5 @@
 									if(cc_mobileTD.tagName != "DIV")
 										//cc_mobileTD.parentNode.removeChild(cc_mobileTD);
-										Element(id+':cc_mobile').innerHTML = "Não informado.";
+										Element(id+':cc_mobile').innerHTML = not_informed_text;
 									else
 										cc_mobileTD.removeChild(Element(id+':cc_mobile'));
@@ -2525,5 +2527,5 @@
 									var cc_titleTD = Element(id+':cc_title').parentNode;
 									if(cc_titleTD.tagName != "DIV")
-										Element(id+':cc_title').innerHTML = "Não informado.";
+										Element(id+':cc_title').innerHTML = not_informed_text;
 									else
 										cc_titleTD.removeChild(Element(id+':cc_title'));
@@ -2568,5 +2570,5 @@
 		var empNumbers = document.getElementsByName(field);
 		for(var i = 0; i < empNumbers.length; i++){
-			if(empNumbers[i].getElementsByTagName("SPAN")[0].innerHTML != "Não informado."){
+			if(empNumbers[i].getElementsByTagName("SPAN")[0].innerHTML != not_informed_text){
 				saia = false;
 				i = empNumbers.length;
@@ -2900,4 +2902,5 @@
 function showCards (letter,page, ids)
 {
+	this.not_informed_text = Element("cc_msg_not_informed").value;
 	var data  = new Array();
 	flag_compartilhado = false;
Index: /trunk/contactcenter/templates/default/index.tpl
===================================================================
--- /trunk/contactcenter/templates/default/index.tpl	(revision 5131)
+++ /trunk/contactcenter/templates/default/index.tpl	(revision 5287)
@@ -17,4 +17,5 @@
 <!-- JS MESSAGES -->
 <input id="cc_msg_name_mandatory" type="hidden" value="{cc_msg_name_mandatory}">
+<input id="cc_msg_not_informed" type="hidden" value="{cc_msg_not_informed}">
 <input id="cc_msg_err_invalid_serch" type="hidden" value="{cc_msg_err_invalid_serch}">
 <input id="cc_msg_tel_or_mail_required" type="hidden" value="{cc_msg_tel_or_mail_required}">