Index: trunk/phpgwapi/setup/tables_update.inc.php
===================================================================
--- trunk/phpgwapi/setup/tables_update.inc.php	(revision 4306)
+++ trunk/phpgwapi/setup/tables_update.inc.php	(revision 5311)
@@ -116,8 +116,50 @@
 	}
 	$test[] = '2.2.1'; 
- 	function phpgwapi_upgrade2_2_1() 
- 	{ 
- 	    $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.2'; 
- 	    return $GLOBALS['setup_info']['phpgwapi']['currentver']; 
- 	} 
+	function phpgwapi_upgrade2_2_1()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.2';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+	$test[] = '2.2.2';
+	function phpgwapi_upgrade2_2_2()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.3';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+	$test[] = '2.2.3';
+	function phpgwapi_upgrade2_2_3()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.4';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+	$test[] = '2.2.4';
+	function phpgwapi_upgrade2_2_4()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.6';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+	$test[] = '2.2.6';
+	function phpgwapi_upgrade2_2_6()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.8';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
+	$test[] = '2.2.8';
+	function phpgwapi_upgrade2_2_8()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.10';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}	
+	$test[] = '2.2.10';
+	function phpgwapi_upgrade2_2_10()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.3.0';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}	
+	$test[] = '2.3.0';
+	function phpgwapi_upgrade2_3_0()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.4.0';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: trunk/news_admin/setup/tables_update.inc.php
===================================================================
--- trunk/news_admin/setup/tables_update.inc.php	(revision 5128)
+++ trunk/news_admin/setup/tables_update.inc.php	(revision 5311)
@@ -46,4 +46,28 @@
 	function news_admin_upgrade2_2_1()
 	{
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.2.6';
+		return $GLOBALS['setup_info']['news_admin']['currentver'];
+	}
+	$test[] = '2.2.6';
+	function news_admin_upgrade2_2_6()
+	{
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.2.8';
+		return $GLOBALS['setup_info']['news_admin']['currentver'];
+	}
+	$test[] = '2.2.8';
+	function news_admin_upgrade2_2_8()
+	{
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.2.10';
+		return $GLOBALS['setup_info']['news_admin']['currentver'];
+	}
+	$test[] = '2.2.10';
+	function news_admin_upgrade2_2_10()
+	{
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.3.0';
+		return $GLOBALS['setup_info']['news_admin']['currentver'];
+	}	
+	$test[] = '2.3.0';
+	function news_admin_upgrade2_3_0()
+	{
 		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.4.0';
 		return $GLOBALS['setup_info']['news_admin']['currentver'];
Index: trunk/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 5133)
+++ trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 5311)
@@ -89,13 +89,59 @@
 	{
 		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.005';
-		//$GLOBALS['phpgw_setup']->db->query("alter table phpgw_expressoadmin_log drop groupinfo");
-		//$GLOBALS['phpgw_setup']->db->query("alter table phpgw_expressoadmin_log drop appinfo");
-		//$GLOBALS['phpgw_setup']->db->query("alter table phpgw_expressoadmin_log drop msg");/
-	
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
 	$test[] = '2.0.005';
-	function expressoAdmin1_2_upgrade2_0_005() {
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.006';
+	function expressoAdmin1_2_upgrade2_0_005()
+	{
+		$GLOBALS['phpgw_setup']->db->query("alter table phpgw_expressoadmin_log drop groupinfo");
+		$GLOBALS['phpgw_setup']->db->query("alter table phpgw_expressoadmin_log drop appinfo");
+		$GLOBALS['phpgw_setup']->db->query("alter table phpgw_expressoadmin_log drop msg");
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.1.000';
+	function expressoAdmin1_2_upgrade2_1_000()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.000';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.2.000';
+	function expressoAdmin1_2_upgrade2_2_000()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.1';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.2.1';
+	function expressoAdmin1_2_upgrade2_2_1()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.2';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.2.2';
+	function expressoAdmin1_2_upgrade2_2_2()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.3';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.2.3';
+	function expressoAdmin1_2_upgrade2_2_3()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.6';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.2.6';
+	function expressoAdmin1_2_upgrade2_2_6()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.8';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}	
+	$test[] = '2.2.8';
+	function expressoAdmin1_2_upgrade2_2_8()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.3.0';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}	
+	$test[] = '2.3.0';
+	function expressoAdmin1_2_upgrade2_3_0() {
                 $GLOBALS['phpgw_setup']->db->query("
 
@@ -268,5 +314,5 @@
 
                  }
-
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.4.0';
  	    return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver']; 
  	} 
Index: trunk/contactcenter/setup/tables_update.inc.php
===================================================================
--- trunk/contactcenter/setup/tables_update.inc.php	(revision 5131)
+++ trunk/contactcenter/setup/tables_update.inc.php	(revision 5311)
@@ -66,14 +66,24 @@
  	}
 	
-	$test[] = '2.2.3'; 
- 	function contactcenter_upgrade2_2_3() { 
-		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ALTER COLUMN alias TYPE character varying(100);");
- 	    $GLOBALS['setup_info']['contactcenter']['currentver'] = '2.2.3.1';
-		return $GLOBALS['setup_info']['contactcenter']['currentver']; 
+ 	$test[] = '2.2.2';
+ 	function contactcenter_upgrade2_2_2() {
+ 		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.2.3';
+ 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
  	}
-	$test[] = '2.2.3.1'; 
- 	function contactcenter_upgrade2_2_3_1() { 
- 	    $GLOBALS['setup_info']['contactcenter']['currentver'] = '2.4.0';
-		return $GLOBALS['setup_info']['contactcenter']['currentver']; 
+ 	$test[] = '2.2.3';
+ 	function contactcenter_upgrade2_2_3() {
+ 		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.2.10';
+ 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+ 	} 	
+ 	$test[] = '2.2.10';
+ 	function contactcenter_upgrade2_2_10() {
+ 		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.3.0';
+ 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+ 	}
+ 	$test[] = '2.3.0';
+ 	function contactcenter_upgrade2_3_0() {
+ 		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cc_contact ALTER COLUMN alias TYPE character varying(100);");
+ 		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.4.0';
+ 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
  	}
 ?>
Index: trunk/calendar/setup/tables_update.inc.php
===================================================================
--- trunk/calendar/setup/tables_update.inc.php	(revision 5203)
+++ trunk/calendar/setup/tables_update.inc.php	(revision 5311)
@@ -16,45 +16,8 @@
 					return;
 			}
-		}		
+		}
 		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE ".$table." ADD COLUMN ".$column." ".$attrs);
-	}  
-	$test[] = '0.9.2';
-	function calendar_upgrade0_9_2()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.17';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
-	$test[] = '0.9.17';
-	function calendar_upgrade0_9_17()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.21';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}
-	$test[] = '0.9.20';
-	function calendar_upgrade0_9_20()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.21';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}	
-	$test[] = '0.9.21';
-	function calendar_upgrade0_9_21()
-	{
-		addSpecialColumn("phpgw_cal","last_status","char(1) DEFAULT 'N'::bpchar");
-		addSpecialColumn("phpgw_cal","last_update","int8 DEFAULT (date_part('epoch'::text, ('now'::text)::timestamp(3) with time zone) * (1000)::double precision)");
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.22';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}	
-	$test[] = '0.9.22';
-	function calendar_upgrade0_9_22()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.23';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}
-	$test[] = '0.9.23';
-	function calendar_upgrade0_9_23()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.3';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}	
+/// Since Expresso 1.2 using Calendar 0.9.3
 	$test[] = '0.9.3';
 	function calendar_upgrade0_9_3()
@@ -102,21 +65,60 @@
 	function calendar_upgrade2_0_006() {
 		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.007';
-		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ALTER COLUMN title TYPE character varying(1024);");
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}		
 	$test[] = '2.0.007';
-	function calendar_upgrade2_0_007() {
-		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.008';
-		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN organizer character varying(255);");
+	function calendar_upgrade2_0_007()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
+	$test[] = '2.1.000';
+	function calendar_upgrade2_1_000()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.000';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
+	$test[] = '2.2.000';
+	function calendar_upgrade2_2_000()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.1';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
+	$test[] = '2.2.1';
+	function calendar_upgrade2_2_1()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.6';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
+	$test[] = '2.2.6';
+	function calendar_upgrade2_2_6()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.8';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
+	$test[] = '2.2.8';
+	function calendar_upgrade2_2_8()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.10';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
+	$test[] = '2.2.10';
+	function calendar_upgrade2_2_10()
+	{
+	    $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN notifications_owner INT NOT NULL default '0'");
+		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN observations text");
+	    $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN alter_by varchar(160)");
+	    $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN attachment text");
+	    $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN organizer character varying(255);");
+		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ALTER title TYPE varchar(1024)");
+		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal_repeats ALTER recur_exception TYPE varchar");
+	    $GLOBALS['setup_info']['calendar']['currentver'] = '2.3.0';
 	    return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
-	
-		$test[] = '2.0.008';
-	function calendar_upgrade2_0_008() {
-		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.009';
-		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN observations text;");
-		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN attachment text;");
-		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN alter_by character varying(160);");
-	    return $GLOBALS['setup_info']['calendar']['currentver'];
+	$test[] = '2.3.0';
+	function calendar_upgrade2_3_0()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.4.0';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
 ?>
Index: trunk/workflow/setup/tables_update.inc.php
===================================================================
--- trunk/workflow/setup/tables_update.inc.php	(revision 5307)
+++ trunk/workflow/setup/tables_update.inc.php	(revision 5311)
@@ -210,7 +210,20 @@
 		return $GLOBALS['setup_info']['workflow']['currentver'];
 	}
-	
-	$test[] = '2.4.000';
-	function workflow_upgrade2_4_000()
+	$test[] = '2.2.1';
+	function workflow_upgrade2_2_1()
+	{
+		#updating the current version
+		$GLOBALS['setup_info']['workflow']['currentver'] = '2.2.6';
+	return $GLOBALS['setup_info']['workflow']['currentver'];
+	}
+	$test[] = '2.2.6';
+	function workflow_upgrade2_2_6()
+	{
+		#updating the current version
+		$GLOBALS['setup_info']['workflow']['currentver'] = '2.3.0';
+	return $GLOBALS['setup_info']['workflow']['currentver'];
+	}
+	$test[] = '2.3.0';
+	function workflow_upgrade2_3_0()
 	{
 		#updating the current version
@@ -382,5 +395,3 @@
 		return $GLOBALS['setup_info']['workflow']['currentver'];
 	}
-	
-	
 ?>
Index: trunk/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 5134)
+++ trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 5311)
@@ -116,6 +116,26 @@
  	    return $setup_info['expressoMail1_2']['currentver']; 
  	}
-	$test[] = '2.2.4'; 
- 	function expressoMail1_2_upgrade2_2_4() { 
+ 	$test[] = '2.2.4';
+ 	function expressoMail1_2_upgrade2_2_4() {
+ 		$setup_info['expressoMail1_2']['currentver'] = '2.2.6';
+ 		return $setup_info['expressoMail1_2']['currentver'];
+ 	}
+ 	$test[] = '2.2.6';
+ 	function expressoMail1_2_upgrade2_2_6() {
+ 		$setup_info['expressoMail1_2']['currentver'] = '2.2.8';
+ 		return $setup_info['expressoMail1_2']['currentver'];
+ 	}
+ 	$test[] = '2.2.8';
+ 	function expressoMail1_2_upgrade2_2_8() {
+ 		$setup_info['expressoMail1_2']['currentver'] = '2.2.10';
+ 		return $setup_info['expressoMail1_2']['currentver'];
+ 	}
+ 	$test[] = '2.2.10';
+ 	function expressoMail1_2_upgrade2_2_10() {
+ 		$setup_info['expressoMail1_2']['currentver'] = '2.3.0';
+ 		return $setup_info['expressoMail1_2']['currentver'];
+ 	} 	 	
+	$test[] = '2.3.0'; 
+ 	function expressoMail1_2_upgrade2_3_0() { 
  	    $setup_info['expressoMail1_2']['currentver'] = '2.4.0'; 
  	    return $setup_info['expressoMail1_2']['currentver']; 